#include <stdio.h>
#include <string.h>

extern void build_sis_msg();

int main()
{
   unsigned short num_words = 4;     /* of data in LCF msg            */
   unsigned char  destination = 99;   /* LEB PROCESSOR; for LCF header */
   unsigned char  lcf_cmnd_id = 145;   /* for LCF header                */
   unsigned short data[4];         /* pointer to all data           */
   unsigned char  outstr[80];       /* pointer to output msg         */

   data[0] = 1;
   data[1] = 16;
   data[2] = 128;
   data[3] = 255;

   build_sis_msg(num_words,destination,lcf_cmnd_id,data,outstr);
   printf("num_words %u destination %u lcf_cmnd_id %u\n",num_words,destination,lcf_cmnd_id);
   printf("data %u,%u,%u %u\n",data[0],data[1],data[2],data[3]);
   printf("%s\n",outstr);
   return (0);
}

